Bug 142851 - UI Chart Type dialog empty with unsupported combo chart
Summary: UI Chart Type dialog empty with unsupported combo chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2021-06-14 14:08 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 10:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with combo chart (13.94 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-06-14 14:08 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (51.98 KB, image/png)
2021-06-14 14:08 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-14 14:08:12 UTC
Created attachment 172868 [details]
Example file from Excel with combo chart

Attached example file contains a column – area combo chart from Excel.
When opened in Calc the Chart Type dialog is empty, making it impossible to change the type of this chart.

Steps to reproduce:
    1. Open attached file
    2. Open the chart for editing
    3. Right click on the chart area, select Chart Type

Actual results:
Dialog is empty.

Expected results:
Dialog should offer the LO-supported chart types on the left.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 93a3e2f86c27b06062708fe788963a0e49f3a90b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

Not yet in:
Version: 7.1.0.3 (x64) / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-06-14 14:08:29 UTC
Created attachment 172869 [details]
Screenshot of the problem in Calc
Comment 2 NISZ LibreOffice Team 2021-06-14 14:48:48 UTC
Bibisected with win64-7.2 to: 

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4ff983b930dc15658aa531759d3f1e5b9586aeab

author	Caolán McNamara <caolanm@redhat.com>	2021-05-05 10:51:16 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2021-05-05 16:21:52 +0200

Related: tdf#142049 restore some elements default visibility in the ui
Comment 3 Commit Notification 2021-06-22 15:35:58 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1e7bf688967dc39540d24070c70c73b06bd1347f

tdf#142851 Chart UI: fix empty Chart Type dialog

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-22 19:46:13 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/04b81f0358da3c9c6ce84b6a1cdbedf93cb49766

tdf#142851 Chart UI: fix empty Chart Type dialog

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-07-05 10:00:02 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded